Subject: Re: [PATCH][IPv6] separation xfrm_lookup from ip6_dst_lookup

From: Kazunori Miyazawa <[email-masked]>
Date: Tue, 03 Aug 2004 18:21:10 +0900

YOSHIFUJI Hideaki wrote:

> In article <[email-masked]> (at Sun, 1 Aug 2004 19:51:35 -0700), "David S. Miller" <[email-masked]> says:
> 
> 
>>On Fri, 30 Jul 2004 17:12:05 +0900
>>Kazunori Miyazawa <[email-masked]> wrote:
>>
>>
>>>I consider copying flowi(fl_rt) uses too much stack at the moment.
>>>I'll re-send the fixed patch again.
>>
>>I agree, and let's defer this patch until we
>>resolve that.
> 
> 
> Is the overhead for allocating memory okay?
> Or, do we allcoate some per-cpu memory while ipv6.o initalization phase?
> (check: lock? preemption?)
> Or, will we allocate fl (and fl_rt) per sock{} (ipv6_pinfo{})?
> (ditto.)
> 

My intention is not high art, just using struct in6_addr
instead of struct flowi to store final destination.

> We have similar stack usage in other codes, and 
> I would fix them at the same time.
> 

These might be my changes. I will fix them.

> 
> Another question just for future reference: 
> how many bytes (approx.) do we accept on stack?
> 
> Note: sizeof(struct flowi) is 72 bytes (on i386)
> 
> --yoshfuji

--Kazunori Miyazawa